# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Email

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Email

All Implemented Interfaces:
  Extension

    public class Email

extends ExtensionPoint
implements Extension

GData schema extension describing an email address.

Nested Class Summary
`static class` `Email.Rel` The email type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected java.lang.String` `address` Email address.
`protected java.lang.String` `displayName` Display name of the email address
`protected java.lang.String` `label` Label.
`protected boolean` `primary` Whether this is the primary email address
`protected java.lang.String` `quota` Email quota.
`protected java.lang.String` `rel` The email type.

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Email()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`java.lang.String` `getAddress()`
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`java.lang.String` `getDisplayName()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getLabel()`
`boolean` `getPrimary()`
`java.lang.String` `getQuota()`
`java.lang.String` `getRel()`
`void` `setAddress(java.lang.String v)`
`void` `setDisplayName(java.lang.String n)`
`void` `setLabel(java.lang.String v)`
`void` `setPrimary(boolean p)`
`void` `setQuota(java.lang.String v)`
`void` `setRel(java.lang.String v)`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rel

    protected java.lang.String rel

  The email type.

### label

    protected java.lang.String label

  Label.

### address

    protected java.lang.String address

  Email address.

### quota

    protected java.lang.String quota

  Email quota.

### primary

    protected boolean primary

  Whether this is the primary email address

### displayName

    protected java.lang.String displayName

  Display name of the email address

Constructor Detail

### Email

    public Email()

Method Detail

### getRel

    public java.lang.String getRel()

### setRel

    public void setRel(java.lang.String v)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String v)

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String v)

### getQuota

    public java.lang.String getQuota()

### setQuota

    public void setQuota(java.lang.String v)

### getPrimary

    public boolean getPrimary()

### setPrimary

    public void setPrimary(boolean p)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String n)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler